%{?python_enable_dependency_generator}
# pycryptodomex is optional.
# we need the lextudio pyasn1 specifically for this one
%global __requires_exclude pycryptodomex|pyasn1

%global pkg_name pysnmp-lextudio
%global mod_name pysnmp_lextudio
%global srcname %{mod_name}

Name:           %{pkg_name}
Version:        5.0.33
Release:        1%{?dist}

Summary:        An SNMP engine written in Python

License:        BSD
URL:            https://github.com/lextudio/pysnmp
Source0:        %{pypi_source}
Patch0001:      0001-Removed-pyasn1.compat-dependency.patch
BuildArch:      noarch

Requires:       net-snmp

# Encryption not needed for this build
#Patch0:         0001-strong-crypto-moved-to-pysnmpcrypto.patch

%description
This is a Python implementation of SNMP v.1/v.2c engine. It's
general functionality is to assemble/disassemble SNMP messages
from/into given SNMP Object IDs along with associated values.
PySNMP also provides a few transport methods specific to TCP/IP
networking.

%package -n python3-%{name}
Summary:        %{summary}
Requires:       python3dist(pyasn1) >= 0.5.1
Conflicts:      python3-pysnmp

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
This is a Python implementation of SNMP v.1/v.2c engine. It's
general functionality is to assemble/disassemble SNMP messages
from/into given SNMP Object IDs along with associated values.
PySNMP also provides a few transport methods specific to TCP/IP
networking.


%prep
%autosetup -n %{mod_name}-%{version} -p1

sed -i "/^pysnmpcrypto.*/d" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pysnmp

%files -n python3-%{name} -f %{pyproject_files}
%doc README.md examples/ docs/
%license LICENSE.rst

%changelog
* Wed Mar 12 2025 Joel Capitao <jcapitao@redhat.com> - 5.0.33-1
- Update to 5.0.33
- Remove pyasn1.compat dependency to work with pyasn1 provided by AppStream repo

* Mon Mar 18 2024 Lon Hohberger <lon@redhat.com> - 5.0.26-2
- Update to use newer pyasn1 packaging

* Thu Feb 22 2024 Lon Hohberger <lon@redhat.com> - 5.0.26-1
- Initial packaging of pysnmp-lextudio based on pysnmp RPMs
